[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: RFC: EOL of mediawiki from EL-4, EL-5, EL-6



On Tue, Nov 30, 2010 at 01:53:32PM -0700, Stephen John Smoogen wrote:
> I plan to EOL mediawiki for the EPEL releases for EL-4,5,6 due to
> packaging newer ones using mediawiki114,mediawiki115, mediawiki116.
> 
> There are several ways I can do this:
> 
> 1) change mediawiki114 to replace mediawiki. Pros would allow people
> to keep a package on their system. COns most likely will break due to
> linking and changes in package.
> 
> 2) put out a final mediawiki package with a "Please dont use." in
> README and %description.
> 
> 3) just remove from system.
> 
> I need input and help on getting this done.
> 
> Thankyou.

I like option #1.  Are you tracking this in a bugzilla somewhere?  I
would be happy to "help" insofar as testing this new package (the
upgrade side-effects mainly).

.. however, I think this provides the best opportunity for a "better"
upgrade path.  We could document upgrade hurdles we find either on the
wiki or in a README.Fedora file (or both).

Ray


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]